Subject: Re: bug#52576: [PATCH] gnu: ibus-anthy: Update to 1.15.12

From: Maxim Cournoyer <[email-masked]>
Date: Thu, 23 Jun 2022 22:53:59 -0400

Hello,

Julien Lepiller <[email-masked]> writes:

> Le Mon, 07 Feb 2022 12:03:38 +0900,
> Taiju HIGASHI <[email-masked]> a écrit :
>
>> Hi Liliana,
>> 
>> Thank you for your response.
>> 
>> You are right. My attitude of expecting someone else to solve the
>> problem was no good.
>> 
>> So far, I haven't even been able to get the tests to run properly on
>> Guix.  Therefore, I can't even properly mention which test is the
>> problem.
>> 
>> I think it will take a long time to solve this problem due to my lack
>> of skills.
>> In particular, I think I will have a hard time reading the intent of
>> the test code. Also, other distributions skip the tests, so I have no
>> source to refer to.
>> 
>> I don't know if I will be able to start working on it right away, but
>> I would like to take the time to tackle it properly.
>> 
>> 
>> 
>
> Hi!
>
> I gave a look at the test failures and found a few issues. I attached
> the current diff I have, but it's still not working.

I tried it too; and got a different result [0].  Seeing how not even
upstream run the test suite in a containerized environment and other
projects simply disable it, I think it's reasonable to disable it too
until upstream share more information about how it's supposed to work.

Pushed as 2dc43d7d5b50b3ef6ef506dc2572c9cc3beed334, and salvaged
python-pycotap as 06902a6766f089e4da812876ddcf33e7ba8afce0 (with
improved synopsis and description).

Thanks!

Closing.

Maxim